GET · Checkout API
GET
GET
/api/v1/menusRetrieves a collection of menus available to the client.
- The
Accept-Languageheader can be used by the client to specify the preferred language(s) for localized menu information.
Request-Header
Content-Typeapplication/json; charset=utf-8AuthorizationToken <accessToken>Accept-Language<localeIdentifier>Originaler Blueprint-Ausschnitt
API Blueprint
### GET [GET]
Retrieves a collection of menus available to the client.
+ The `Accept-Language` header can be used by the client to specify the preferred language(s) for localized menu information.
+ Request (application/json; charset=utf-8)
+ Headers
Authorization: Token <accessToken>
Accept-Language: <localeIdentifier>
+ Response 200 (application/json; charset=utf-8)
+ Attributes (object)
+ id: `514717` (number, required) - The unique identifier of the menu card.
+ name: `Checkout menu card` (string) - The localized name of the menu card.
+ Body
[
{
"id": "514717",
"name": "Checkout menu card"
}
]
+ Schema
{
"type": "array",
"items": {
{
"type": "object",
"properties": {
"id": {
"type": "number"
},
"name": {
"type": "string"
}
}
}
}